<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref12.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::Node::Node&#40;Node*&#44;Node*&#41; - Synopsis::PTree::SizeofExpr</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::Node::Node&#40;Node*&#44;Node*&#41; - Synopsis::PTree::SizeofExpr</h1><div class="xref-name"><a id="Synopsis_mPTree_mNode_mNode_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Node::Node&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#Node_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#53">Synopsis/PTree/Node.hh:53</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mNode_lconst.char_S_csize_t_r" /><h2 >Constructor Synopsis::PTree::Node::Node&#40;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#Node_lconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#51">Synopsis/PTree/Node.hh:51</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::Node::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#29">Synopsis/PTree/Node.hh:29</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#24">Synopsis/PTree/TypeVisitor.hh:24</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#type_of_lNode_S_r" >Synopsis::PTree::TypeVisitor::type_of&#40;Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mbegin_l_rconst" /><h2 >Member function Synopsis::PTree::Node::begin&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#begin_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#32">Synopsis/PTree/Node.hh:32</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mcar_l_r" /><h2 >Member function Synopsis::PTree::Node::car&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#car_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#40">Synopsis/PTree/Node.hh:40</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mcar_l_rconst" /><h2 >Member function Synopsis::PTree::Node::car&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#car_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#39">Synopsis/PTree/Node.hh:39</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#80">Synopsis/PTree/Node.hh:80</a>: in member function <a href="../Scopes/Synopsis/PTree/Iterator.html#get_l_r" >Synopsis::PTree::Iterator::get&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#31">Synopsis/PTree/operations.hh:31</a>: in function <a href="../Scopes/Synopsis/PTree.html#first_lconst.Node_S_r" >Synopsis::PTree::first&#40;const Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#32">Synopsis/PTree/operations.hh:32</a>: in function <a href="../Scopes/Synopsis/PTree.html#first_lNode_S_r" >Synopsis::PTree::first&#40;Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#38">Synopsis/PTree/operations.hh:38</a>: in function <a href="../Scopes/Synopsis/PTree.html#nth_lconst.Node_S_csize_t_r" >Synopsis::PTree::nth&#40;const Node*&#44;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#43">Synopsis/PTree/operations.hh:43</a>: in function <a href="../Scopes/Synopsis/PTree.html#nth_lNode_S_csize_t_r" >Synopsis::PTree::nth&#40;Node*&#44;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#62">Synopsis/PTree/operations.hh:62</a>: in function <a href="../Scopes/Synopsis/PTree.html#cadr_lconst.Node_S_r" >Synopsis::PTree::cadr&#40;const Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#63">Synopsis/PTree/operations.hh:63</a>: in function <a href="../Scopes/Synopsis/PTree.html#cadr_lNode_S_r" >Synopsis::PTree::cadr&#40;Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mcdr_l_r" /><h2 >Member function Synopsis::PTree::Node::cdr&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#cdr_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#42">Synopsis/PTree/Node.hh:42</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mcdr_l_rconst" /><h2 >Member function Synopsis::PTree::Node::cdr&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#cdr_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#41">Synopsis/PTree/Node.hh:41</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#33">Synopsis/PTree/operations.hh:33</a>: in function <a href="../Scopes/Synopsis/PTree.html#rest_lconst.Node_S_r" >Synopsis::PTree::rest&#40;const Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#34">Synopsis/PTree/operations.hh:34</a>: in function <a href="../Scopes/Synopsis/PTree.html#rest_lNode_S_r" >Synopsis::PTree::rest&#40;Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#37">Synopsis/PTree/operations.hh:37</a>: in function <a href="../Scopes/Synopsis/PTree.html#nth_lconst.Node_S_csize_t_r" >Synopsis::PTree::nth&#40;const Node*&#44;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#42">Synopsis/PTree/operations.hh:42</a>: in function <a href="../Scopes/Synopsis/PTree.html#nth_lNode_S_csize_t_r" >Synopsis::PTree::nth&#40;Node*&#44;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#47">Synopsis/PTree/operations.hh:47</a>: in function <a href="../Scopes/Synopsis/PTree.html#tail_lconst.Node_S_csize_t_r" >Synopsis::PTree::tail&#40;const Node*&#44;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#52">Synopsis/PTree/operations.hh:52</a>: in function <a href="../Scopes/Synopsis/PTree.html#tail_lNode_S_csize_t_r" >Synopsis::PTree::tail&#40;Node*&#44;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#62">Synopsis/PTree/operations.hh:62</a>: in function <a href="../Scopes/Synopsis/PTree.html#cadr_lconst.Node_S_r" >Synopsis::PTree::cadr&#40;const Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#63">Synopsis/PTree/operations.hh:63</a>: in function <a href="../Scopes/Synopsis/PTree.html#cadr_lNode_S_r" >Synopsis::PTree::cadr&#40;Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#64">Synopsis/PTree/operations.hh:64</a>: in function <a href="../Scopes/Synopsis/PTree.html#cddr_lconst.Node_S_r" >Synopsis::PTree::cddr&#40;const Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#64">Synopsis/PTree/operations.hh:64</a>: in function <a href="../Scopes/Synopsis/PTree.html#cddr_lconst.Node_S_r" >Synopsis::PTree::cddr&#40;const Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#65">Synopsis/PTree/operations.hh:65</a>: in function <a href="../Scopes/Synopsis/PTree.html#cddr_lNode_S_r" >Synopsis::PTree::cddr&#40;Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#65">Synopsis/PTree/operations.hh:65</a>: in function <a href="../Scopes/Synopsis/PTree.html#cddr_lNode_S_r" >Synopsis::PTree::cddr&#40;Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mencoded_name_l_rconst" /><h2 >Member function Synopsis::PTree::Node::encoded_name&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#encoded_name_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#47">Synopsis/PTree/Node.hh:47</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mencoded_type_l_rconst" /><h2 >Member function Synopsis::PTree::Node::encoded_type&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#encoded_type_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#46">Synopsis/PTree/Node.hh:46</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mend_l_rconst" /><h2 >Member function Synopsis::PTree::Node::end&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#end_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#34">Synopsis/PTree/Node.hh:34</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mis_atom_l_rconst" /><h2 >Member function Synopsis::PTree::Node::is_atom&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#is_atom_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#28">Synopsis/PTree/Node.hh:28</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#41">Synopsis/PTree/Writer.hh:41</a>: in function <a href="../Scopes/Synopsis/PTree.html#reify_lconst.Node_S_r" >Synopsis::PTree::reify&#40;const Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mlength_l_rconst" /><h2 >Member function Synopsis::PTree::Node::length&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#length_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#37">Synopsis/PTree/Node.hh:37</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#41">Synopsis/PTree/Writer.hh:41</a>: in function <a href="../Scopes/Synopsis/PTree.html#reify_lconst.Node_S_r" >Synopsis::PTree::reify&#40;const Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mmy_data" /><h2 >Data member Synopsis::PTree::Node::my_data</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#my_data" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#68">Synopsis/PTree/Node.hh:68</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#36">Synopsis/PTree/Node.hh:36</a>: in member function <a href="../Scopes/Synopsis/PTree/Node.html#position_l_rconst" >Synopsis::PTree::Node::position&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#37">Synopsis/PTree/Node.hh:37</a>: in member function <a href="../Scopes/Synopsis/PTree/Node.html#length_l_rconst" >Synopsis::PTree::Node::length&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#39">Synopsis/PTree/Node.hh:39</a>: in member function <a href="../Scopes/Synopsis/PTree/Node.html#car_l_rconst" >Synopsis::PTree::Node::car&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#40">Synopsis/PTree/Node.hh:40</a>: in member function <a href="../Scopes/Synopsis/PTree/Node.html#car_l_r" >Synopsis::PTree::Node::car&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#41">Synopsis/PTree/Node.hh:41</a>: in member function <a href="../Scopes/Synopsis/PTree/Node.html#cdr_l_rconst" >Synopsis::PTree::Node::cdr&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#42">Synopsis/PTree/Node.hh:42</a>: in member function <a href="../Scopes/Synopsis/PTree/Node.html#cdr_l_r" >Synopsis::PTree::Node::cdr&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#43">Synopsis/PTree/Node.hh:43</a>: in member function <a href="../Scopes/Synopsis/PTree/Node.html#set_car_lNode_S_r" >Synopsis::PTree::Node::set_car&#40;Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#44">Synopsis/PTree/Node.hh:44</a>: in member function <a href="../Scopes/Synopsis/PTree/Node.html#set_cdr_lNode_S_r" >Synopsis::PTree::Node::set_cdr&#40;Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mposition_l_rconst" /><h2 >Member function Synopsis::PTree::Node::position&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#position_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#36">Synopsis/PTree/Node.hh:36</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#41">Synopsis/PTree/Writer.hh:41</a>: in function <a href="../Scopes/Synopsis/PTree.html#reify_lconst.Node_S_r" >Synopsis::PTree::reify&#40;const Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mset_car_lNode_S_r" /><h2 >Member function Synopsis::PTree::Node::set_car&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#set_car_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#43">Synopsis/PTree/Node.hh:43</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_mset_cdr_lNode_S_r" /><h2 >Member function Synopsis::PTree::Node::set_cdr&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#set_cdr_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#44">Synopsis/PTree/Node.hh:44</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#103">Synopsis/PTree/operations.hh:103</a>: in function template <a href="../Scopes/Synopsis/PTree.html#nconc_lN_S_cNode_S_r" >Synopsis::PTree::nconc&#40;N*&#44;Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mNode_m_tNode_l_r" /><h2 >Destructor Synopsis::PTree::Node::~Node&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Node.html#_tNode_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#27">Synopsis/PTree/Node.hh:27</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mOffsetofExpr" /><h2 >Class Synopsis::PTree::OffsetofExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/OffsetofExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#417">Synopsis/PTree/Lists.hh:417</a>: in class <a href="../Scopes/Synopsis/PTree/OffsetofExpr.html" >Synopsis::PTree::OffsetofExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#417">Synopsis/PTree/Lists.hh:417</a>: in class <a href="../Scopes/Synopsis/PTree/OffsetofExpr.html" >Synopsis::PTree::OffsetofExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#182">Synopsis/PTree/Visitor.hh:182</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#420">Synopsis/PTree/Lists.hh:420</a>: Constructor <a href="../Scopes/Synopsis/PTree/OffsetofExpr.html#OffsetofExpr_lNode_S_cNode_S_r" >OffsetofExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mOffsetofExpr_mOffsetofExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::OffsetofExpr::OffsetofExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/OffsetofExpr.html#OffsetofExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#420">Synopsis/PTree/Lists.hh:420</a>: in class <a href="../Scopes/Synopsis/PTree/OffsetofExpr.html" >Synopsis::PTree::OffsetofExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mParameterDeclaration" /><h2 >Class Synopsis::PTree::ParameterDeclaration</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ParameterDeclaration.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#140">Synopsis/PTree/Lists.hh:140</a>: in class <a href="../Scopes/Synopsis/PTree/ParameterDeclaration.html" >Synopsis::PTree::ParameterDeclaration</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#34">Synopsis/PTree/TypeVisitor.hh:34</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#123">Synopsis/PTree/Visitor.hh:123</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#198">Synopsis/Parser.hh:198</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#53">Synopsis/SymbolFactory.hh:53</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#143">Synopsis/PTree/Lists.hh:143</a>: Constructor <a href="../Scopes/Synopsis/PTree/ParameterDeclaration.html#ParameterDeclaration_lNode_S_cNode_S_cNode_S_r" >ParameterDeclaration&#40;Node*&#44;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#145">Synopsis/PTree/Lists.hh:145</a>: Member function <a href="../Scopes/Synopsis/PTree/ParameterDeclaration.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mParameterDeclaration_mParameterDeclaration_lNode_S_cNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ParameterDeclaration::ParameterDeclaration&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ParameterDeclaration.html#ParameterDeclaration_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#143">Synopsis/PTree/Lists.hh:143</a>: in class <a href="../Scopes/Synopsis/PTree/ParameterDeclaration.html" >Synopsis::PTree::ParameterDeclaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mParameterDeclaration_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::ParameterDeclaration::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ParameterDeclaration.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#145">Synopsis/PTree/Lists.hh:145</a>: in class <a href="../Scopes/Synopsis/PTree/ParameterDeclaration.html" >Synopsis::PTree::ParameterDeclaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mParenExpr" /><h2 >Class Synopsis::PTree::ParenExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ParenExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#483">Synopsis/PTree/Lists.hh:483</a>: in class <a href="../Scopes/Synopsis/PTree/ParenExpr.html" >Synopsis::PTree::ParenExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#483">Synopsis/PTree/Lists.hh:483</a>: in class <a href="../Scopes/Synopsis/PTree/ParenExpr.html" >Synopsis::PTree::ParenExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#82">Synopsis/PTree/TypeVisitor.hh:82</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#199">Synopsis/PTree/Visitor.hh:199</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#36">Synopsis/TypeAnalysis/ConstEvaluator.hh:36</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#51">Synopsis/TypeAnalysis/TypeEvaluator.hh:51</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#486">Synopsis/PTree/Lists.hh:486</a>: Constructor <a href="../Scopes/Synopsis/PTree/ParenExpr.html#ParenExpr_lNode_S_cNode_S_r" >ParenExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mParenExpr_mParenExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ParenExpr::ParenExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ParenExpr.html#ParenExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#486">Synopsis/PTree/Lists.hh:486</a>: in class <a href="../Scopes/Synopsis/PTree/ParenExpr.html" >Synopsis::PTree::ParenExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mPmExpr" /><h2 >Class Synopsis::PTree::PmExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/PmExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#387">Synopsis/PTree/Lists.hh:387</a>: in class <a href="../Scopes/Synopsis/PTree/PmExpr.html" >Synopsis::PTree::PmExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#387">Synopsis/PTree/Lists.hh:387</a>: in class <a href="../Scopes/Synopsis/PTree/PmExpr.html" >Synopsis::PTree::PmExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#68">Synopsis/PTree/TypeVisitor.hh:68</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#173">Synopsis/PTree/Visitor.hh:173</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#37">Synopsis/TypeAnalysis/TypeEvaluator.hh:37</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#390">Synopsis/PTree/Lists.hh:390</a>: Constructor <a href="../Scopes/Synopsis/PTree/PmExpr.html#PmExpr_lNode_S_cNode_S_r" >PmExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mPmExpr_mPmExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::PmExpr::PmExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/PmExpr.html#PmExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#390">Synopsis/PTree/Lists.hh:390</a>: in class <a href="../Scopes/Synopsis/PTree/PmExpr.html" >Synopsis::PTree::PmExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mPostfixExpr" /><h2 >Class Synopsis::PTree::PostfixExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/PostfixExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#459">Synopsis/PTree/Lists.hh:459</a>: in class <a href="../Scopes/Synopsis/PTree/PostfixExpr.html" >Synopsis::PTree::PostfixExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#459">Synopsis/PTree/Lists.hh:459</a>: in class <a href="../Scopes/Synopsis/PTree/PostfixExpr.html" >Synopsis::PTree::PostfixExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#79">Synopsis/PTree/TypeVisitor.hh:79</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#193">Synopsis/PTree/Visitor.hh:193</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#48">Synopsis/TypeAnalysis/TypeEvaluator.hh:48</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#462">Synopsis/PTree/Lists.hh:462</a>: Constructor <a href="../Scopes/Synopsis/PTree/PostfixExpr.html#PostfixExpr_lNode_S_cNode_S_r" >PostfixExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mPostfixExpr_mPostfixExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::PostfixExpr::PostfixExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/PostfixExpr.html#PostfixExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#462">Synopsis/PTree/Lists.hh:462</a>: in class <a href="../Scopes/Synopsis/PTree/PostfixExpr.html" >Synopsis::PTree::PostfixExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mRTTIDisplay" /><h2 >Class Synopsis::PTree::RTTIDisplay</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#47">Synopsis/PTree/Display.hh:47</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#86">Synopsis/PTree/Display.hh:86</a>: in Synopsis::PTree::display&#40;const Node*&#44;std</li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Display.hh.html#50">Synopsis/PTree/Display.hh:50</a>: Constructor <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#RTTIDisplay_lstd_mostream_A_cbool_r" >RTTIDisplay&#40;std::ostream&amp;&#44;bool&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#52">Synopsis/PTree/Display.hh:52</a>: Member function <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#display_lconst.Node_S_r" >display&#40;const Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#54">Synopsis/PTree/Display.hh:54</a>: Member function <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#visit_lAtom_S_r" >visit&#40;Atom*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#55">Synopsis/PTree/Display.hh:55</a>: Member function <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#visit_lList_S_r" >visit&#40;List*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#56">Synopsis/PTree/Display.hh:56</a>: Member function <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#visit_lDupAtom_S_r" >visit&#40;DupAtom*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#58">Synopsis/PTree/Display.hh:58</a>: Member function <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#newline_l_r" >newline&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#60">Synopsis/PTree/Display.hh:60</a>: Data member <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#my_os" >my_os</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#61">Synopsis/PTree/Display.hh:61</a>: Data member <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#my_indent" >my_indent</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#62">Synopsis/PTree/Display.hh:62</a>: Data member <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#my_encoded" >my_encoded</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mRTTIDisplay_mRTTIDisplay_lstd_mostream_A_cbool_r" /><h2 >Synopsis::PTree::RTTIDisplay::RTTIDisplay&#40;std::ostream&amp;&#44;bool&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#50">Synopsis/PTree/Display.hh:50</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mRTTIDisplay_mdisplay_lconst.Node_S_r" /><h2 >Member function Synopsis::PTree::RTTIDisplay::display&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#display_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#52">Synopsis/PTree/Display.hh:52</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#87">Synopsis/PTree/Display.hh:87</a>: in Synopsis::PTree::display&#40;const Node*&#44;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mRTTIDisplay_mmy_encoded" /><h2 >Data member Synopsis::PTree::RTTIDisplay::my_encoded</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#my_encoded" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#62">Synopsis/PTree/Display.hh:62</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mRTTIDisplay_mmy_indent" /><h2 >Data member Synopsis::PTree::RTTIDisplay::my_indent</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#my_indent" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#61">Synopsis/PTree/Display.hh:61</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mRTTIDisplay_mmy_os" /><h2 >Data member Synopsis::PTree::RTTIDisplay::my_os</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#my_os" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#60">Synopsis/PTree/Display.hh:60</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mRTTIDisplay_mnewline_l_r" /><h2 >Member function Synopsis::PTree::RTTIDisplay::newline&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#newline_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#58">Synopsis/PTree/Display.hh:58</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mRTTIDisplay_mvisit_lAtom_S_r" /><h2 >Member function Synopsis::PTree::RTTIDisplay::visit&#40;Atom*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#visit_lAtom_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#54">Synopsis/PTree/Display.hh:54</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mRTTIDisplay_mvisit_lDupAtom_S_r" /><h2 >Member function Synopsis::PTree::RTTIDisplay::visit&#40;DupAtom*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#visit_lDupAtom_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#56">Synopsis/PTree/Display.hh:56</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mRTTIDisplay_mvisit_lList_S_r" /><h2 >Member function Synopsis::PTree::RTTIDisplay::visit&#40;List*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/RTTIDisplay.html#visit_lList_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#55">Synopsis/PTree/Display.hh:55</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mReturnStatement" /><h2 >Class Synopsis::PTree::ReturnStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ReturnStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#318">Synopsis/PTree/Lists.hh:318</a>: in class <a href="../Scopes/Synopsis/PTree/ReturnStatement.html" >Synopsis::PTree::ReturnStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#318">Synopsis/PTree/Lists.hh:318</a>: in class <a href="../Scopes/Synopsis/PTree/ReturnStatement.html" >Synopsis::PTree::ReturnStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#58">Synopsis/PTree/TypeVisitor.hh:58</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#158">Synopsis/PTree/Visitor.hh:158</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#321">Synopsis/PTree/Lists.hh:321</a>: Constructor <a href="../Scopes/Synopsis/PTree/ReturnStatement.html#ReturnStatement_lNode_S_cNode_S_r" >ReturnStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mReturnStatement_mReturnStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ReturnStatement::ReturnStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ReturnStatement.html#ReturnStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#321">Synopsis/PTree/Lists.hh:321</a>: in class <a href="../Scopes/Synopsis/PTree/ReturnStatement.html" >Synopsis::PTree::ReturnStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mSizeofExpr" /><h2 >Class Synopsis::PTree::SizeofExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/SizeofExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#411">Synopsis/PTree/Lists.hh:411</a>: in class <a href="../Scopes/Synopsis/PTree/SizeofExpr.html" >Synopsis::PTree::SizeofExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#411">Synopsis/PTree/Lists.hh:411</a>: in class <a href="../Scopes/Synopsis/PTree/SizeofExpr.html" >Synopsis::PTree::SizeofExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#72">Synopsis/PTree/TypeVisitor.hh:72</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#181">Synopsis/PTree/Visitor.hh:181</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#33">Synopsis/TypeAnalysis/ConstEvaluator.hh:33</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#41">Synopsis/TypeAnalysis/TypeEvaluator.hh:41</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#414">Synopsis/PTree/Lists.hh:414</a>: Constructor <a href="../Scopes/Synopsis/PTree/SizeofExpr.html#SizeofExpr_lNode_S_cNode_S_r" >SizeofExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
